property spriteNum, mySprite, myStandardMember, myRollovermember

on getBehaviorDescription me
  return "ROLLOVER MEMBER CHANGE" & RETURN & RETURN & "Change the sprite's cast member when the mouse rolls over the sprite." & RETURN & RETURN & "PARAMETERS:" & RETURN & "* Rollover cast member"
end

on getBehaviorTooltip me
  return "Use with graphic members." & RETURN & RETURN & "Swaps a sprite's cast member on rollover."
end

on beginSprite me
  mySprite = sprite(me.spriteNum)
  myStandardMember = mySprite.member
end

on mouseEnter me
  mySprite.member = myRollovermember
end

on mouseLeave me
  mySprite.member = myStandardMember
end

on isOKToAttach me, aSpriteType, aSpriteNum
  case aSpriteType of
    #graphic:
      return 1
    #script:
      return 0
  end case
end

on getPropertyDescriptionList
  if the currentSpriteNum = 0 then
    exit
  end if
  theMember = sprite(the currentSpriteNum).member
  theMemberNumber = theMember.number
  return [#myRollovermember: [#comment: "Display which member on rollover?", #format: #graphic, #default: member(theMemberNumber + 1)]]
end
